Subject: [PATCH 0/2] net: Fix/prevent napi_schedule() call from bare task context

From: Frederic Weisbecker <[email-masked]>
Date: Wed, 12 Feb 2025 18:43:27 +0100

Hi,

Here is a fix to a bad context calling napi_schedule() and a lockdep
assertion to prevent from that in the future. I've tried to produce
a relevant Fixes tag but I'm not confident enough with this codebase.
This call is there for many years and yet the issue got reported only
recently, so I may be missing something in the history of this driver
or in net/usb infrastructure...

Thanks.

Frederic Weisbecker (2):
  net: Assert proper context while calling napi_schedule()
  r8152: Call napi_schedule() from proper context

 drivers/net/usb/r8152.c |  5 ++++-
 include/linux/lockdep.h | 12 ++++++++++++
 net/core/dev.c          |  1 +
 3 files changed, 17 insertions(+), 1 deletion(-)

-- 
2.46.0